File kdepim4-runtime.spec of Package kdepim4-runtime

#
# spec file for package kdepim4-runtime
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           kdepim4-runtime
BuildRequires:  cyrus-sasl-devel libqca2-devel
BuildRequires:  boost-devel gpgme-devel libkdepimlibs4-devel
BuildRequires:  libkde4-devel libsoprano-devel soprano-backend-redland
BuildRequires:  fdupes libassuan-devel
License:        LGPLv2.1+
Group:          System/GUI/KDE
Summary:        Base package of kdepim
Url:            http://www.kde.org
Version:        4.4.10
Release:        4.<RELEASE2>
Source0:        kdepim-runtime-%version.tar.bz2
Patch:          4_4_BRANCH.diff
Patch6:         disable-knut.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%kde4_runtime_requires
Requires(post):     shared-mime-info
Requires(postun):   shared-mime-info
Suggests:       libkdepim4
Provides:       kde4-akonadi = 4.2.90
Obsoletes:      kde4-akonadi <= 4.2.90

%description
This package contains the Akonadi files of the kdepim module.



Authors:
--------
    The KDE Team <kde@kde.org>

%prep
%setup -q -n kdepim-runtime-%version
%patch
%patch6

%build
%ifarch ppc64
RPM_OPT_FLAGS="$RPM_OPT_FLAGS -mminimal-toc"
%endif
  %cmake_kde4 -d build
  %make_jobs

%install
  cd build
  %makeinstall
  cd ..
  #remove menu entries of development tools
  rm $RPM_BUILD_ROOT/usr/share/applications/kde4/akonadi*.desktop
  %kde_post_install
  %fdupes -s $RPM_BUILD_ROOT
  %kde_post_install

%post
/sbin/ldconfig
/usr/bin/update-mime-database %{_datadir}/mime &> /dev/null || :

%postun
/sbin/ldconfig
/usr/bin/update-mime-database %{_datadir}/mime &> /dev/null || :

%clean
  rm -rf $RPM_BUILD_ROOT
  rm -rf filelists

%package devel
License:        LGPLv2.1+
Group:          System/GUI/KDE
Summary:        KDE Personal Information Management Base Package: Build Environment
Requires:       kdepim4-runtime = %version
Provides:       kde4-akonadi-devel = 4.2.90
Obsoletes:      kde4-akonadi-devel <= 4.2.90

%description devel
This packages contains development files of the kdepim-runtime module.



Authors:
--------
    The KDE Team <kde@kde.org>

%post devel -p /sbin/ldconfig

%postun devel -p /sbin/ldconfig

%files devel 
%defattr(-,root,root)
%_kde4_libdir/*.so
#/usr/include/kabc

%files
%defattr(-,root,root)
%_kde4_bindir/*
%_kde4_libdir/*.so.*
%_kde4_modulesdir/*
/usr/share/akonadi
/usr/share/dbus-1/interfaces/*
%_kde4_appsdir/akonadi
%_kde4_sharedir/services
%_kde4_configdir/*
%_kde4_iconsdir/hicolor/64x64/apps/kolab.png
/usr/share/mime/packages/kdepim-mime.xml
/usr/share/autostart/kaddressbookmigrator.desktop

%changelog